USE [COWS]
GO
_CreateObject 'SP','web','getRedsnInfoByH1'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

-- =========================================================
-- Author:		jrg7298
-- Create date: 10/11/2015
-- Description:	Get Redesign Data using H1
-- =========================================================
ALTER PROCEDURE [web].[getRedsnInfoByH1]
	@H1			VARCHAR(9),
	@IsUCaaS	BIT = 0
AS
BEGIN
SET NOCOUNT ON;
Begin Try
	OPEN SYMMETRIC KEY FS@K3y             
	DECRYPTION BY CERTIFICATE S3cFS@CustInf0; 

	IF (@IsUCaaS=1)
	BEGIN
		SELECT DISTINCT CASE WHEN (rd.CSG_LVL_ID>0) THEN ISNULL(dbo.decryptBinaryData(csd.CUST_NME), '') ELSE ISNULL(rd.CUST_NME, '') END AS CUST_NME,
						CASE WHEN (rd.CSG_LVL_ID>0) THEN ISNULL(dbo.decryptBinaryData(csd.CUST_EMAIL_ADR), '') ELSE ISNULL(rd.CUST_EMAIL_ADR, '') END AS CUST_EMAIL_ADR,
						rd.SOWS_FOLDR_PATH_NME,
						rd.CRETD_DT
		FROM dbo.REDSGN rd WITH (NOLOCK) INNER JOIN
			 dbo.LK_REDSGN_TYPE lrt WITH (NOLOCK) ON rd.REDSGN_TYPE_ID = lrt.REDSGN_TYPE_ID INNER JOIN
			 dbo.LK_REDSGN_CAT lrc WITH (NOLOCK) ON lrc.REDSGN_CAT_ID = lrt.REDSGN_CAT_ID LEFT JOIN 
			 dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=rd.REDSGN_ID AND csd.SCRD_OBJ_TYPE_ID=16
		WHERE rd.H1_CD = @H1
		  AND rd.CUST_EMAIL_ADR IS NOT NULL
		  AND rd.CUST_EMAIL_ADR != ''
		  AND lrc.REDSGN_CAT_ID = 1
		ORDER BY rd.CRETD_DT DESC
	 END
	 ELSE IF (@IsUCaaS <> 1)
	 BEGIN
		SELECT DISTINCT CASE WHEN (rd.CSG_LVL_ID>0) THEN ISNULL(dbo.decryptBinaryData(csd.CUST_NME), '') ELSE ISNULL(rd.CUST_NME, '') END AS CUST_NME,
						CASE WHEN (rd.CSG_LVL_ID>0) THEN ISNULL(dbo.decryptBinaryData(csd.CUST_EMAIL_ADR), '') ELSE ISNULL(rd.CUST_EMAIL_ADR, '') END AS CUST_EMAIL_ADR,
						rd.SOWS_FOLDR_PATH_NME,
						rd.CRETD_DT
		FROM dbo.REDSGN rd WITH (NOLOCK) INNER JOIN
			 dbo.LK_REDSGN_TYPE lrt WITH (NOLOCK) ON rd.REDSGN_TYPE_ID = lrt.REDSGN_TYPE_ID INNER JOIN
			 dbo.LK_REDSGN_CAT lrc WITH (NOLOCK) ON lrc.REDSGN_CAT_ID = lrt.REDSGN_CAT_ID LEFT JOIN 
			 dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=rd.REDSGN_ID AND csd.SCRD_OBJ_TYPE_ID=16		 
		WHERE rd.H1_CD = @H1
		  AND rd.CUST_EMAIL_ADR IS NOT NULL
		  AND rd.CUST_EMAIL_ADR != ''
		  AND lrc.REDSGN_CAT_ID != 1
		ORDER BY rd.CRETD_DT DESC
	 END
	 
	  
End Try

Begin Catch
	EXEC [dbo].[insertErrorInfo]
End Catch
END